Множественные уязвимости в Quagga

Дата публикации:
19.03.2012
Дата изменения:
19.03.2012
Всего просмотров:
1733
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:6.8/Temporal:5
(AV:N/AC:M/Au:N/C:N/I:N/A:P/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Quagga 0.x
Уязвимые версии: Quagga версии до 0.99.20.1

Описание:
Удаленный пользователь может аварийно завершить работу приложения.

1. Две ошибки существуют в ospfd. Подробности не разглашаются.

2. Уязвимость существует из-за ошибки при обработке входного потока от доверенного соседа в функции "bgp_open_receive()" в файле bgpd/bgp_packet.c. Удаленный пользователь может вызвть ошибку утверждения и аварийно завершить работу приложения.

URL производителя: http://www.nongnu.org/quagga/

Решение: Установите последнюю версию 0.99.20.1 с сайта производителя.

Ссылки: http://savannah.nongnu.org/forum/forum.php?forum_id=7151

или введите имя

CAPTCHA